Foreman - Bug #5180

UsergroupTest.test_0004_hosts should be retrieved from recursive/complex usergroup definitions
broken

04/14/2014 02:22 PM - Dominic Cleal

Status: Closed

Priority: Immediate

Assignee: Daniel Lobato Garcia

Category: Tests

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

http://ci.theforeman.org/job/test develop/622/

UsergroupTest.test_0004_hosts should be retrieved from recursive/complex usergroup definitions

<[]> expected but was

<[#<Host::Managed id: 1073012888, name: "h1.someware.com”, ip: "2.3.4.10", last_compile: nil, last_freshcheck: nil, last_report: nil,
updated_at: "2014-04-14 11:55:02", source_file_id: nil, created_at: "2014-04-14 11:55:02", mac: "22:33:44:55:66:01", root_pass: nil,
serial: nil, puppet_status: 0, domain_id: 22495316, architecture_id: 501905019, operatingsystem_id: 1073012828, environment_id:
334344675, subnet_id: 980190962, ptable_id: 980190962, medium_id: nil, build: false, comment: nil, disk: nil, installed_at: nil,
model_id: nil, hostgroup_id: nil, owner_id: 980191116, owner_type: "User", enabled: true, puppet_ca_proxy_id: 182953976,
managed: false, use_image: nil, image_file: nil, uuid: nil, compute_resource_id: nil, puppet_proxy_id: 182953976, certname: nil,
image_id: nil, organization_id: nil, location_id: nil, type: "Host::Managed", otp: nil, realm_id: nil, compute_profile_id: nil,
provision_method: nil>]>. (test_0004_hosts should be retrieved from recursive/complex usergroup definitions)
/var/lib/workspace/workspace/test_develop/database/mysql/ruby/1.9.3/test/unit/usergroup_test.rb:65

Related issues:
Follows Foreman - Bug #5141: User unable to access children taxonomies Closed 04/10/2014

Associated revisions

Revision b5b26432 - 04/14/2014 06:12 PM - Daniel Lobato Garcia

Fixes #5180 - in_taxonomy clears out Taxonomy.current

History

#1 - 04/14/2014 02:23 PM - Dominic Cleal

- Follows Bug #5141: User unable to access children taxonomies added

#2 - 04/14/2014 06:11 PM - Dominic Cleal
- Status changed from New to Ready For Testing
- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1378

#3 - 04/14/2014 06:32 PM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b5b264322¢745d805{520d7cda0d0ad4c22e4bd92.
